AWS
action Fault Injection Simulator

# start_experiment

Starts running an experiment from the specified experiment template

Run it now
View details

Type | action
Module | chaosaws.fis.actions
Name | start_experiment
Return | mapping

Usage

JSON

    {
      "name": "start-experiment",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosaws.fis.actions",
        "func": "start_experiment",
        "arguments": {
          "experiment_template_id": ""
        }
      }
    }

YAML

    name: start-experiment
    provider:
      arguments:
        experiment_template_id: ""
      func: start_experiment
      module: chaosaws.fis.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
experiment_template_id | string |  | Yes | Experiment Template ID | FIS experiment template identifier
client_token | string | null | No | Client Token |
tags | mapping | null | No | Tags |

Example

    > start_experiment(experiment_template_id="EXT6oWVA1WrLNy4XS")

    {
      "ResponseMetadata": {
        "RequestId": "1ceaedae-5897-4b64-9ade-9e94449f1262",
        "HTTPStatusCode": 200,
        "HTTPHeaders": {
          "date": "Thu, 12 Aug 2021 14:21:19 GMT",
          ...
        };
        "experiment": {
          "id": "EXPXDPecuQBFiZs1Jz",
          "experimentTemplateId": "EXT6oWVA1WrLNy4XS",
        ...
        }
      }
    }

    > start_experiment(
      experiment_template_id="EXT6oWVA1WrLNy4XS",
      client_token="my-unique-token",
      tags={"a-key": "a-value"}
      )

Signature

    def start_experiment(
            experiment_template_id: str,
            client_token: str = None,
            tags: Dict[str, str] = None,
            configuration: Dict[str, Dict[str, str]] = None,
            secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- AWS
  action Fault Injection Simulator

  ## `stop_experiment`

  Stops the specified experiment
- AWS
  action Fault Injection Simulator

  ## `stop_experiment`

  Stops the specified experiment
- AWS
  probe Fault Injection Simulator

  ## `get_experiment`

  Gets information about the specified experiment